> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Gives the number of messages sent and receipts received in an interval of five minutes.

# Message Metrics

For the complete error reference, see [Error Guide](/articles/error-guide).


## OpenAPI

````yaml get /stats/messages
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /stats/messages:
    get:
      tags:
        - Metrics
      summary: Message Metrics
      description: >-
        Gives the number of messages sent and receipts received in an interval
        of five minutes.
      operationId: message-receipt-metrics
      responses:
        '200':
          description: >-
            Gives the number of messages sent and receipts received in an
            interval of five minutes.
          content:
            application/json:
              schema:
                properties:
                  dataPoints:
                    type: array
                    items: {}
                type: object
              example:
                data:
                  startTime: '1682676600000'
                  endTime: '1682680200000'
                  dataPoints:
                    - messagesSent: 0
                      readReceipts: 0
                      deliveryReceipts: 0
                      startTime: '1682676600000'
                      endTime: '1682676900000'
                    - messagesSent: 0
                      readReceipts: 0
                      deliveryReceipts: 0
                      startTime: '1682676900000'
                      endTime: '1682677200000'
                  appId: 235391c94852dc7d
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````